Bug 115926 - graphics/skencil 0.6.17_1 crashes with python25-2.5.1
Summary: graphics/skencil 0.6.17_1 crashes with python25-2.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-29 16:00 UTC by bf
Modified: 2007-10-25 23:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bf 2007-08-29 16:00:09 UTC
skencil can be built, but fails at runtime:

 #skencil
python2.5 in free(): error: modified (page-) pointer
Abort trap: 6 (core dumped)

core dump available upon request.
Comment 1 Alejandro Pulver freebsd_committer 2007-09-30 21:13:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

I'll take it.
Comment 2 dfilter service freebsd_committer 2007-10-25 23:20:55 UTC
alepulver    2007-10-25 22:20:45 UTC

  FreeBSD ports repository

  Modified files:
    graphics/skencil     Makefile 
  Log:
  - Use only Python 2.4 or below, since 2.5 crashes or produces memory warnnings.
  - Using a non default Python version doesn't work on pointyhat/TB (because of
    dependencies), so mark as appropiate in that case.
  
  PR:             ports/115926
  Submitted by:   bf <bf2006a@yahoo.com>
  
  Revision  Changes    Path
  1.43      +10 -3     ports/graphics/skencil/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Alejandro Pulver freebsd_committer 2007-10-25 23:21:18 UTC
State Changed
From-To: open->closed

Committed. Thanks!